Skip to content
Browse files

Add jeweler for building gems

  • Loading branch information...
1 parent 42baf8b commit 37e5c4cca066f9b703849d6a389693355e64366d Steve Tooke committed with elliotcm
Showing with 57 additions and 0 deletions.
  1. +2 −0 .gitignore
  2. +20 −0 LICENSE
  3. +35 −0 Rakefile
View
2 .gitignore
@@ -1,2 +1,4 @@
.*.sw?
tmp
+*.scratch.*
+.DS_Store
View
20 LICENSE
@@ -0,0 +1,20 @@
+Copyright (c) 2009 Elliot Crosby-McCullough
+
+Permission is hereby granted, free of charge, to any person obtaining
+a copy of this software and associated documentation files (the
+"Software"), to deal in the Software without restriction, including
+without limitation the rights to use, copy, modify, merge, publish,
+distribute, sublicense, and/or sell copies of the Software, and to
+permit persons to whom the Software is furnished to do so, subject to
+the following conditions:
+
+The above copyright notice and this permission notice shall be
+included in all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
+LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
+OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
+WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
View
35 Rakefile
@@ -0,0 +1,35 @@
+require 'rubygems'
+require 'rake'
+
+begin
+ require 'jeweler'
+ Jeweler::Tasks.new do |gem|
+ gem.name = "light_mongo"
+ gem.summary = %Q{A lightweight Ruby object persistence library for Mongo DB}
+ gem.description = %Q{LightMongo is a lightweight Mongo object persistence layer for Ruby which makes use of Mongo's features rather than trying to emulate ActiveRecord.}
+ gem.email = "elliotcm@googlemail.com"
+ gem.homepage = "http://github.com/elliotcm/light_mongo"
+ gem.authors = ["Elliot Crosby-McCullough"]
+ gem.add_development_dependency "rspec", ">= 1.3.0"
+ # gem is a Gem::Specification... see http://www.rubygems.org/read/chapter/20 for additional settings
+ end
+ Jeweler::GemcutterTasks.new
+rescue LoadError
+ puts "Jeweler (or a dependency) not available. Install it with: gem install jeweler"
+end
+
+require 'spec/rake/spectask'
+Spec::Rake::SpecTask.new(:spec) do |spec|
+ spec.libs << 'lib' << 'spec'
+ spec.spec_files = FileList['spec/**/*_spec.rb']
+end
+
+Spec::Rake::SpecTask.new(:rcov) do |spec|
+ spec.libs << 'lib' << 'spec'
+ spec.pattern = 'spec/**/*_spec.rb'
+ spec.rcov = true
+end
+
+task :spec => :check_dependencies
+
+task :default => :spec

0 comments on commit 37e5c4c

Please sign in to comment.
Something went wrong with that request. Please try again.